Reverse Tabnabbing

Affecting quill package, ALL versions

Do your applications use this vulnerable package? Test your applications

Overview

quill is a modern rich text editor built for compatibility and extensibility.

Affected versions of this package are vulnerable to Reverse Tabnabbing via the snow theme. The link has the target attribute set to _blank but has no rel property. This means that documents containing untrusted links make the page they are embedded in susceptible to tabnabbing.

Remediation

There is no fixed version for quill.

References

CVSS Score

4.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N
Credit
danielw93
CWE
CWE-1022
Snyk ID
SNYK-JS-QUILL-451551
Disclosed
06 Jul, 2019
Published
08 Jul, 2019